Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354057 - konsole goes into state defunct on some profiles
Summary: konsole goes into state defunct on some profiles
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: konsole5
Version: 24
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 21:42 UTC by T
Modified: 2017-08-08 15:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:28:05 UTC


Attachments (Terms of Use)

Description T 2016-07-08 21:42:27 UTC
Description of problem:

with some profiles using ssh to connect to remote machines konsole never reaches a shell prompt and instead hangs in state defunct. the exact same profiles have worked flawlessly in Fedora 22 and early Fedora 23

This started happening after some konsole5/kf5/plasma upgrade in the F23 cycle a few month ago and still applies to fully updated Fedora 24


Version-Release number of selected component (if applicable):

konsole5-16.04.2-2.fc24.x86_64

How reproducible:


Steps to Reproduce:
1. $ konsole --profile root@tslap2
kf5.kcoreaddons.kaboutdata: Could not initialize the equivalent properties of Q*Application: no instance (yet) existing.


Actual results:

a konsole window opens with the expected color scheme but it never reaches a shell prompt and is completely unresponsive. ps shows that it is in state defunct


> pstree

           ├─konsole(22467)─┬─konsole(22474)
           │                ├─{QDBusConnection}(22468)
           │                └─{QXcbEventReader}(22472)


> ps auxww | grep konsole

thorsten 22467  0.0  0.2 707612 47524 pts/4    Sl   15:18   0:00 konsole --profile root@tslap2
thorsten 22474  0.0  0.0      0     0 pts/4    Z    15:18   0:00 [konsole] <defunct>

Attempting to close the window leads to a prompt which states that the application is unresponsive and offers to terminate it.


Expected results:

a konsole window should open and be usable

Additional info:

I use several profiles with ssh login to remote machines. Some of those function as expected, others stopped functioning with some update in Fedora 23.

This profile reliably works:

$ cat ~/.local/share/konsole/T@tslap2.profile
[Appearance]
ColorScheme=BlueOnBlack
Font=Bitstream Vera Sans Mono,9,-1,5,50,0,0,0,0,0

[General]
Command=/usr/bin/ssh -A tslap2 -l thorsten
Directory=/home/thorsten
Icon=dragonplayer
Name=T@tslap2
Parent=FALLBACK/
RemoteTabTitleFormat=%h : %u
StartInCurrentSessionDir=false
TerminalColumns=120
TerminalRows=40

This profiles leads to konsole in state "defunct"

$ cat ~/.local/share/konsole/root@tslap2.profile
[Appearance]
ColorScheme=BlackOnLightYellow
Font=Bitstream Vera Sans Mono,9,-1,5,50,0,0,0,0,0

[General]
Command=/usr/bin/ssh -A tslap2 -l root -o GSSAPIAuthentication=no
Directory=/root
Icon=tuxguitar
Name=root@tslap2
Parent=FALLBACK/
RemoteTabTitleFormat=%h : %u
StartInCurrentSessionDir=false

 
I note that the ssh command specified in the profile does work at a shell prompt 

$ /usr/bin/ssh -A tslap2 -l root -o GSSAPIAuthentication=no
Last login: Fri Jul  8 11:08:31 2016 from 192.168.1.119
[root@tlap2 ~]# 

I have attempted all kinds of modifications to the profiles which stopped working without success.

Thanks for your attention in this matter
T.

Comment 1 Habig, Alec 2016-07-26 23:43:48 UTC
I've had a similar problem, over a similar timeline, but with different symptoms: rather than hanging, some profiles are ignored leaving me with the default profile instead.  I've noticed that this is the same behavior as if I did a "konsole --profile someNoneExistantProfile", making me think that konsole is simply not finding the profile and silently bonking back to a default.

So, I'm curious: if you invoke a bogus profile, do you get a hang or your default profile?  In which case, maybe you don't have a default set?

I'm baffled, as I've got almost identical profiles: all parameters the same except for name and which machine is being ssh'd to.  One works, the other doesn't.  However, both work if invoked from konsole's "File->New Tab" menu.  You'd think that stdarg would be a pretty solid way to init a program!  Verified this using diff on the .profile files stored in ~/.local/share/konsole, which is where they've apparently migrated to in this version of kde.

Unfortunately, the konsoles profile launcher widget appears to be using the --profile option to launch, rather than whatever the in-program menu item is using, and that's what I would like to use to start konsoles.

Comment 2 Fedora End Of Life 2017-07-25 21:41:26 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 15:28:05 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.